Get public trending topics
What's trending on X in a country, read from snapshots taken every few hours, with the last 24 hours of history. Public, no authentication.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Path Parameters
region*string
Region slug, e.g. argentina or worldwide.
Value in
- "worldwide"
- "argentina"
- "brazil"
- "canada"
- "chile"
- "colombia"
- "dominican-republic"
- "ecuador"
- "guatemala"
- "mexico"
- "panama"
- "peru"
- "puerto-rico"
- "united-states"
- "venezuela"
- "austria"
- "belarus"
- "belgium"
- "denmark"
- "france"
- "germany"
- "greece"
- "ireland"
- "italy"
- "latvia"
- "netherlands"
- "norway"
- "poland"
- "portugal"
- "russia"
- "spain"
- "sweden"
- "switzerland"
- "turkey"
- "ukraine"
- "united-kingdom"
- "india"
- "indonesia"
- "japan"
- "malaysia"
- "pakistan"
- "philippines"
- "singapore"
- "south-korea"
- "thailand"
- "vietnam"
- "bahrain"
- "israel"
- "jordan"
- "kuwait"
- "lebanon"
- "oman"
- "qatar"
- "saudi-arabia"
- "united-arab-emirates"
- "algeria"
- "egypt"
- "ghana"
- "kenya"
- "nigeria"
- "south-africa"
- "australia"
- "new-zealand"
Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/social/trends/public/worldwide"{ "region": "string", "captured_at": "string", "trends": [ { "name": "string", "url": "string", "tweet_volume": 0 } ], "timeline": [ { "captured_at": "string", "names": [ "string" ] } ], "longest": [ { "name": "string", "snapshots": -9007199254740991 } ]}